
Redmine - Feature #2981

Prevent from leaving the page when in edit mode for issue, wiki or other

2009-03-16 13:19 - Benjamin Baroukh

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 2.00 hours

Target version:    

Resolution: Duplicate   

Description

I think Redmine should ask the user if he really wants to navigate away from the current page,

a bit like GMail does when you are editing something.

It is really easy to loose the focus on the textarea and to hit backspace and it is really painful to end up on the previous page after

spending one hour editing something.

The javascript should be:

onUnload('alert("Do you really want to navigate away from this page, all your changes will be lost

")')

on the <body> element of the page when in edit.    

Another step further could be continuous saving of the current work, but I guess it is going to be a lot of work because all the drafts

should be persisted and displayed somewhere.

Related issues:

Is duplicate of Redmine - Feature #2910: Warning on leaving edited issue/wiki... Closed 2009-03-05

History

#1 - 2009-03-16 13:32 - Paul Rivier

looks like a duplicate of #2910

#2 - 2009-03-16 13:44 - Benjamin Baroukh

Yep, I agree.

I searched through the already existing issues, not enough it appears ;)

#3 - 2009-03-16 23:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate.

The javascript needs to be a bit more sophisticated so that it doesn't trigger if nothing was changed.
